@ECHO OFF
ECHO **************************************************************************
ECHO * PORTTSYS.BAT   fr F-TP 1.00    [ Turbo-FORTH-83 fr Transputer T800 ] *
ECHO *                                                                        *
ECHO * Bleibende Umstellung der Linkadapter-Basis-Portadresse in TRANSSYS.COM *
ECHO *                                                                        *
ECHO *      Fred Behringer   Planegger Str. 24   81241 Mnchen   10.4.95      *
ECHO **************************************************************************

IF NOT EXIST TRANSSYS.COM GOTO Fehler2
IF "%1"=="" GOTO Fehler1
ECHO.
PAUSE
TRANSSYS %1 DARK HEX LINKBASE ! SAVE-SYSTEM TRANSSYS.COM BYE
GOTO OK

:Fehler1
ECHO.
ECHO Kein Parameter angegeben !  ( Syntax: PORTTSYS xxx )
ECHO.
ECHO xxx wird als Hexadezimalzahl interpretiert, z.B. 150h, und legt die Basis-
ECHO adresse des Linkadapters fest.
ECHO TRANSSYS.COM wird aufgerufen. Die Variable LINKBASE wird auf den Hexadezi-
ECHO malwert xxx gesetzt.  Sodann wird das Host-Server-System wieder als TRANS-
ECHO SYS.COM abgespeichert.
ECHO Man kann das Ganze als ein "Patchen" von TRANSSYS.COM auffassen.
ECHO Eingabe von TRANSSYS [RET]  ( ohne Parameter von der DOS-Ebene aus ) lsst
ECHO ab dann TRANSSYS.COM auf die Linkadapter-Adresse xxx wirken.  Das ist z.B.
ECHO beim Betrieb mehrerer Transputerkarten, mit unterschiedlicher Portadresse,
ECHO sinnvoll.  Natrlich wirkt sich das auch auf  TRESUME.BAT und LOAD-FTP.BAT
ECHO aus, und, vom Server im Host aus gesehen, auf START.
GOTO Ende

:OK
ECHO.
ECHO Die Basisadresse des Linkadapters wurde jetzt auf %1h gesetzt.
ECHO Wird TRANSSYS.COM ohne Parameter aufgerufen, so stellt sich ab
ECHO jetzt immer dieser Wert ein.
GOTO Ende

:Fehler2
ECHO.
ECHO Datei TRANSSYS.COM nicht im aktuellen Verzeichnis !

:Ende

ECHO ON
