@ECHO OFF

ECHO    ********************************************************************
ECHO    * CONFIG.BAT fr F-TP 1.00  [ Turbo-FORTH-83 fr Transputer T800 ] *
ECHO    *                                                                  *
ECHO    *  Neueinstellung der Parameter in TRANSSYS.COM und TRANSMET.COM   *
ECHO    *                                                                  *
ECHO    *    Fred Behringer  Planegger Str. 24  81241 Mnchen   10.4.95    *
ECHO    ********************************************************************


IF NOT EXIST HEXBATIN.FTH GOTO Fehler1
IF NOT EXIST TRANSSYS.COM GOTO Fehler2
GOTO Trans

:Fehler1
ECHO.
ECHO Datei HEXBATIN.FTH nicht im (aktuellen) Verzeichnis !
ECHO Gegebenenfalls in CONFIG.BAT, der vorliegenden Datei,
ECHO Pfad einbauen ( z.B. E:\F-TP\SRC\HEXBATIN.FTH ) .
GOTO Ende

:Fehler2
ECHO.
ECHO Datei TRANSSYS.COM nicht im (aktuellen) Verzeichnis !
ECHO Gegebenenfalls in CONFIG.BAT, der vorliegenden Datei,
ECHO Pfad einbauen ( z.B. E:\F-TP\BIN\TRANSSYS.COM ) .
GOTO Ende

:Fehler3
ECHO.
ECHO Datei TRANSMET.COM nicht im (aktuellen) Verzeichnis !
ECHO Gegebenenfalls in CONFIG.BAT, der vorliegenden Datei,
ECHO Pfad einbauen ( z.B. E:\F-TP\BIN\TRANSMET.COM ) .
GOTO Ende

:Trans
ECHO.
ECHO [1] TRANSSYS.COM          [2] TRANSMET.COM          [3] Vorgang beenden
ECHO.
CHOICE /C:123

IF ERRORLEVEL 3 GOTO Ende
IF ERRORLEVEL 2 GOTO Transmet
IF ERRORLEVEL 1 GOTO Transsys

:Transsys
ECHO.
ECHO Parameter in TRANSSYS.COM ( hexadezimal ):
:Sys
ECHO [1] LINKBASE   WPTR=(ORG)-100   [2] ORG   [3] EOS   [4] Vorgang beenden
TRANSSYS  SERVER LINKBASE @ 5 SPACES H. WPTR 9 SPACES HD. ORG 2@ 4 SPACES HD. EOS 2@ 2 SPACES HD. BYE
ECHO.
ECHO.
CHOICE /C:1234

IF ERRORLEVEL 4 GOTO Trans
IF ERRORLEVEL 3 GOTO Eossys
IF ERRORLEVEL 2 GOTO Orgsys
IF ERRORLEVEL 1 GOTO Basesys

:Basesys
ECHO.
ECHO Hexadezimalzahl eingeben:
TRANSSYS  INCLUDE HEXBATIN BYE
TRANSSYS  HEX 40 FC L@ -4 AND LINKBASE ! SAVE-SYSTEM TRANSSYS.COM BYE
ECHO.
ECHO.
ECHO Die vorliegende Version von TRANSSYS.COM wird ( wenn sie nicht
ECHO erneut modifiziert wird )  ab jetzt  immer  mit den  folgenden
ECHO hexadezimalen Parameterwerten verwendet:
ECHO.
GOTO Sys

:Orgsys
ECHO.
ECHO Hexadezimalzahl eingeben:
TRANSSYS  INCLUDE HEXBATIN BYE
TRANSSYS  HEX 40 FC L@ -4 and 40 FE l@ SERVER ORG 2! SAVE-SYSTEM TRANSSYS.COM BYE
ECHO.
ECHO.
ECHO Auf einen eventuellen Metacompilierungsvorgang wirken sich die
ECHO Einstellungen von ORG und EOS  nur dann aus,  wenn Sie aus der
ECHO vorliegenden Version von TRANSSYS.COM  ber MAKETSYS eine neue
ECHO Version von TRANSMET.COM machen wollen. Dazu besteht aber kein
ECHO Grund, da Sie ja entsprechende nderungen von ORG oder/und EOS
ECHO auch ber CONFIG.BAT ( dem vorliegenden Einstellungsprogramm )
ECHO direkt an TRANSMET.COM vornehmen knnen.
ECHO.
ECHO Die vorliegende Version von TRANSSYS.COM wird ( wenn sie nicht
ECHO erneut modifiziert wird )  ab jetzt  immer  mit den  folgenden
ECHO hexadezimalen Parameterwerten verwendet:
ECHO.
GOTO Sys

:Eossys
ECHO.
ECHO Hexadezimalzahl eingeben:
TRANSSYS  INCLUDE HEXBATIN BYE
TRANSSYS  HEX 40 FC L@ -4 AND 40 FE L@ SERVER EOS 2! SAVE-SYSTEM TRANSSYS.COM BYE
ECHO.
ECHO.
ECHO Auf einen eventuellen Metacompilierungsvorgang wirken sich die
ECHO Einstellungen von ORG und EOS  nur dann aus,  wenn Sie aus der
ECHO vorliegenden Version von TRANSSYS.COM  ber MAKETSYS eine neue
ECHO Version von TRANSMET.COM machen wollen. Dazu besteht aber kein
ECHO Grund, da Sie ja entsprechende nderungen von ORG oder/und EOS
ECHO auch ber CONFIG.BAT ( dem vorliegenden Einstellungsprogramm )
ECHO direkt an TRANSMET.COM vornehmen knnen.
ECHO.
ECHO Die vorliegende Version von TRANSSYS.COM wird ( wenn sie nicht
ECHO erneut modifiziert wird )  ab jetzt  immer  mit den  folgenden
ECHO hexadezimalen Parameterwerten verwendet:
ECHO.
GOTO Sys

:Transmet
IF NOT EXIST TRANSMET.COM GOTO Fehler3
ECHO.
ECHO Parameter in TRANSMET.COM ( hexadezimal ):
:Met
ECHO [1] LINKBASE   WPTR=(ORG)-100   [2] ORG   [3] EOS   [4] Vorgang beenden
TRANSMET  SERVER LINKBASE @ 5 SPACES H. WPTR 9 SPACES HD. ORG 2@ 4 SPACES HD. EOS 2@ 2 SPACES HD. BYE
ECHO.
ECHO.
CHOICE /C:1234

IF ERRORLEVEL 4 GOTO Trans
IF ERRORLEVEL 3 GOTO Eosmet
IF ERRORLEVEL 2 GOTO Orgmet
IF ERRORLEVEL 1 GOTO Basemet

:Basemet
ECHO.
ECHO Hexadezimalzahl eingeben:
TRANSSYS  INCLUDE HEXBATIN BYE
TRANSMET  HEX SERVER 40 FC L@ -4 AND LINKBASE ! SAVE-SYSTEM TRANSMET.COM BYE
ECHO.
ECHO.
ECHO Der Metacompiliervorgang wird von der vorliegenden Version von
ECHO TRANSMET.COM ( wenn sie nicht erneut modifiziert wird )  immer
ECHO mit den folgenden hexadezimalen Parameterwerten durchgefhrt:
ECHO.
GOTO Met

:Orgmet
ECHO.
ECHO Hexadezimalzahl eingeben:
TRANSSYS  INCLUDE HEXBATIN BYE
TRANSMET  HEX SERVER 40 FC L@ -4 AND 40 FE L@ SERVER ORG 2! SAVE-SYSTEM TRANSMET.COM BYE
ECHO.
ECHO.
ECHO Sie haben mit Ihrer Wahl dem zuknftigen System
TRANSMET  SERVER EOS 2@ WPTR D- HD. BYE
ECHO Byte RAM (hexadezimal) gegnnt.
ECHO Ist das wirklich genug ?  Wenn nicht, kommt beim Metacompilieren
ECHO frher oder spter die Meldung "Stackberlauf".
ECHO.
ECHO Der Metacompiliervorgang wird  von der vorliegenden Version  von
ECHO TRANSMET.COM ( wenn sie nicht erneut modifiziert wird ) ab jetzt
ECHO immer mit den folgenden Parameterwerten ( hex ) durchgefhrt:
ECHO.
GOTO Met

:Eosmet
ECHO.
ECHO Hexadezimalzahl eingeben:
TRANSSYS  INCLUDE HEXBATIN BYE
TRANSMET  HEX SERVER 40 FC L@ -4 AND 40 FE L@ SERVER EOS 2! SAVE-SYSTEM TRANSMET.COM BYE
ECHO.
ECHO.
ECHO Sie haben mit Ihrer Wahl dem zuknftigen System
TRANSMET  SERVER EOS 2@ WPTR D- HD. BYE
ECHO Byte RAM (hexadezimal) gegnnt.
ECHO Ist das wirklich genug ?  Wenn nicht, kommt beim Metacompilieren
ECHO frher oder spter die Meldung "Stackberlauf".
ECHO.
ECHO Der Metacompiliervorgang wird  von der vorliegenden Version  von
ECHO TRANSMET.COM ( wenn sie nicht erneut modifiziert wird ) ab jetzt
ECHO immer mit den folgenden Parameterwerten ( hex ) durchgefhrt:
ECHO.
GOTO Met

:Ende



