@ECHO OFF
CLS
IF "%1"==""  GOTO Kopf
GOTO Multi-Kopf

:Kopf
ECHO LOAD-FTP.BAT
ECHO.
ECHO *********************************************************
ECHO *                                                       *
ECHO *  F-TP 1.00    [ Turbo-FORTH-83 fr Transputer T800 ]  *
ECHO *                                                       *
ECHO *     Laden des Gesamtsystems in das Transputer-RAM     *
ECHO *                                                       *
ECHO *  Fred Behringer,  Planegger Str. 24,   81241 Mnchen  *
ECHO *                        22.8.1993                      *
ECHO *                                                       *
ECHO *********************************************************
GOTO Weiter-Single

:Multi-Kopf
ECHO LOAD-FTP.BAT MULTI
ECHO.
ECHO *********************************************************
ECHO *                                                       *
ECHO *  F-TP 1.00    [ Turbo-FORTH-83 fr Transputer T800 ]  *
ECHO *                                                       *
ECHO *  Laden des Gesamt-Multisystems in das Transputer-RAM  *
ECHO *                                                       *
ECHO *  Fred Behringer,  Planegger Str. 24,   81241 Mnchen  *
ECHO *                        22.8.1993                      *
ECHO *                                                       *
ECHO *********************************************************
GOTO Weiter-Multi

REM  TRANSSYS :  Aufruf von TRANSSYS.COM . Das ist das im Hostsystem schon
REM  compilierte und per SAVE-SYSTEM abgespeicherte Turbo-FORTH-System der
REM  franzsischen Gruppe JEDI  mit dem per INCLUDE  hinzugeladenen Server
REM  TRANSSYS.FTH .
REM  SERVER : Damit wird auf das Host-Vokabular SERVER geschaltet.
REM  TRESET : Damit wird vom  SERVER  der Transputer in den Anfangszustand
REM  versetzt.
REM  LOAD-SYSTEM-BOOT TFORTH.FYS :  Damit wird vom SERVER  das schon meta-
REM  compilierte Transputer-FORTH-System in das Transputer-RAM geladen und
REM  in den Anfangszustand versetzt.  Auf  dem Bildschirm  erscheint  eine
REM  Meldung, da das System geladen ist, und es erscheinen einige weitere
REM  Informationen ber das System.  Das Gesamtsystem  befindet sich jetzt
REM  in der  Interpreter-Warteschleife  des Transputer-FORTH-Systems.  Der
REM  ( im Hostsystem befindliche ) SERVER "lauscht" am Transputer-Link und
REM  steht auf Abruf von diesem  zur Zusammenarbeit mit dem Transputer be-
REM  reit.

:Weiter-Single
IF NOT EXIST TRANSSYS.COM GOTO Fehler1
IF NOT EXIST   TFORTH.FYS GOTO Fehler2
ECHO.
ECHO Bitte eine von der Lnge von TFORTH.FYS abhngige  angemessene Zeit
ECHO warten. Wenn dann keine Reaktion erfolgt, ist der Ladevorgang nicht
ECHO geglckt.
ECHO.
TRANSSYS  SERVER TRESET LOAD-SYSTEM-BOOT TFORTH.FYS
GOTO Ende

:Weiter-Multi
IF NOT EXIST TRANSSYS.COM GOTO Fehler1
IF NOT EXIST   TFORTH.FYM GOTO Fehler3
ECHO.
ECHO Bitte eine von der Lnge von TFORTH.FYM abhngige  angemessene Zeit
ECHO warten. Wenn dann keine Reaktion erfolgt, ist der Ladevorgang nicht
ECHO geglckt.
ECHO.
TRANSSYS  SERVER TRESET LOAD-SYSTEM-BOOT TFORTH.FYM
GOTO Ende

:Fehler1
ECHO.
ECHO Datei TRANSSYS.COM nicht im (aktuellen) Verzeichnis !
ECHO Gegebenenfalls in LOAD-FTP.BAT, der vorliegenden Datei,
ECHO Pfad einbauen ( z.B. E:\F-TP\BIN\TRANSSYS.COM ) .
GOTO Ende

:Fehler2
ECHO.
ECHO Datei TFORTH.FYS nicht im (aktuellen) Verzeichnis !
ECHO Gegebenenfalls in LOAD-FTP.BAT, der vorliegenden Datei,
ECHO Pfad einbauen ( z.B. E:\F-TP\BIN\TFORTH.FYS ) .
GOTO Ende

:Fehler3
ECHO.
ECHO Datei TFORTH.FYM nicht im (aktuellen) Verzeichnis !
ECHO Gegebenenfalls in LOAD-FTP.BAT, der vorliegenden Datei,
ECHO Pfad einbauen ( z.B. E:\F-TP\BIN\TFORTH.FYM ) .
GOTO Ende

:Ende
